# ai_list.cpp File Reference

Implementation of AIList. More...

`#include "../../stdafx.h"`
`#include "ai_list.hpp"`
`#include "../../debug.h"`
`#include "../../script/squirrel.hpp"`

Go to the source code of this file.

## Data Structures
class | AIListSorter
| Base class for any AIList sorter. More...
class | AIListSorterValueAscending
| Sort by value, ascending. More...
class | AIListSorterValueDescending
| Sort by value, descending. More...
class | AIListSorterItemAscending
| Sort by item, ascending. More...
class | AIListSorterItemDescending
| Sort by item, descending. More...

## Detailed Description

Implementation of AIList.

Definition in file ai_list.cpp.